GetWhatsAppFlow
Retrieves the metadata and status of a WhatsApp Flow, including validation errors, preview information, and health status.
Request Syntax
GET /v1/whatsapp/flow?flowId=flowId&id=id HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- flowId
-
The unique identifier of the Flow to retrieve.
Length Constraints: Minimum length of 1. Maximum length of 100.
Pattern:
[0-9]+Required: Yes
- id
-
The ID of the WhatsApp Business Account associated with this Flow.
Length Constraints: Minimum length of 1. Maximum length of 115.
Pattern:
.*(^waba-.*$)|(^arn:.*:waba/[0-9a-zA-Z]+$).*Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"application": {
"id": "string",
"link": "string",
"name": "string"
},
"categories": [ "string" ],
"dataApiVersion": "string",
"endpointUri": "string",
"flowId": "string",
"flowName": "string",
"flowStatus": "string",
"healthStatus": {
"canSendMessage": "string",
"entities": [
{
"canSendMessage": "string",
"entityType": "string",
"id": "string"
}
]
},
"jsonVersion": "string",
"preview": {
"expiresAt": "string",
"previewUrl": "string"
},
"validationErrors": [ "string" ],
"whatsAppBusinessAccount": {
"currency": "string",
"id": "string",
"messageTemplateNamespace": "string",
"name": "string",
"timezoneId": "string"
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- application
-
The Meta application information associated with this Flow.
Type: MetaFlowApplicationInfo object
- categories
-
The categories that classify the business purpose of the Flow.
Type: Array of strings
Array Members: Minimum number of 1 item. Maximum number of 9 items.
Valid Values:
SIGN_UP | SIGN_IN | APPOINTMENT_BOOKING | LEAD_GENERATION | SHOPPING | CONTACT_US | CUSTOMER_SUPPORT | SURVEY | OTHER - dataApiVersion
-
The data API version for data exchange endpoint Flows.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 10.
- endpointUri
-
The endpoint URI for data exchange Flows, if configured.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
- flowId
-
The unique identifier of the Flow.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 100.
Pattern:
[0-9]+ - flowName
-
The name of the Flow.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 200.
- flowStatus
-
The lifecycle status of the Flow. Valid values are DRAFT, PUBLISHED, DEPRECATED, BLOCKED, and THROTTLED.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 20.
- healthStatus
-
The health status information for this Flow from Meta.
Type: MetaFlowHealthStatus object
- jsonVersion
-
The version of the Flow JSON schema used by this Flow (for example, 7.3).
Type: String
Length Constraints: Minimum length of 1. Maximum length of 10.
- preview
-
The preview URL and its expiration timestamp for testing the Flow.
Type: MetaFlowPreviewInfo object
- validationErrors
-
A list of validation errors from Meta, if any.
Type: Array of strings
Length Constraints: Minimum length of 0. Maximum length of 1048576.
- whatsAppBusinessAccount
-
The WhatsApp Business Account information from Meta associated with this Flow.
Type: MetaFlowWhatsAppBusinessAccountInfo object
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedByMetaException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- DependencyException
-
Thrown when performing an action because a dependency would be broken.
HTTP Status Code: 502
- InternalServiceException
-
The request processing has failed because of an unknown error, exception, or failure.
HTTP Status Code: 500
- InvalidParametersException
-
One or more parameters provided to the action are not valid.
HTTP Status Code: 400
- ResourceNotFoundException
-
The resource was not found.
HTTP Status Code: 404
- ThrottledRequestException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- ValidationException
-
The request contains an invalid parameter value.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: